Package bitel.billing.server.call.bean

# Class LoginManager

java.lang.Object
bitel.billing.server.call.bean.LoginManager

Direct Known Subclasses:
  `DialUpLoginManager`, `VoiceIpLoginManager`

public abstract class LoginManager extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Connection`
  `con`
  `protected int`
  `mid`
  `protected String`
  `tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LoginManager(Connection con, int mid)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract Login`
  `addLogin(Login login, Preferences moduleSetup)`
  `abstract String`
  `checkAliases(Login login, Set<String> aliases)`
  `String`
  `checkConflictAliases(Login login, Set<String> aliases)`
  `String`
  `checkLogin(Login login)`
  `String`
  `checkLoginAvailable(Preferences moduleSetup)`
  `void`
  `deleteLogin(int id)`
  `protected abstract void`
  `doSpecificWrapActions(int newLoginId, Date dateOpen, Date dateClose, Login login, bitel.billing.server.util.db.TableCopier tableCopier)`
  `List<Login>`
  `getContractLogins(int contractId)`
  `String`
  `getLoginAliases(int lid)`
  `Login`
  `getLoginById(int id)`
  `protected abstract Login`
  `getLoginFromResultSet(ResultSet rs)`
  `static LoginManager`
  `getLoginManager(String module, Connection con, int moduleId)`
  `String`
  `getLoginTitle(int lid)`
  `boolean`
  `hasActiveSessions(int loginId)`
  Проверка наличия активных сессий логина.
  `final Map<String,List<String[]>>`
  `loadAVPPairs(Login login)`
  `void`
  `loginsList(Element logins, int cid)`
  `void`
  `loginsList(Element logins, int cid, Date dateFrom, Date dateTo)`
  `void`
  `logPswdChange(int loginId, int userId)`
  `void`
  `moveLogin(Login login, int cidFrom, int cidTo, int objectTo, int userId)`
  Полный перенос логина на другой договор.
  `protected abstract void`
  `moveLoginData(Login login, int cidFrom, int cidTo)`
  Перенос наработки логина при его полном переносе.
  `abstract void`
  `recalcAfterMove(bitel.billing.server.util.MonthForRecalc months, int cidFrom, int cidTo)`
  После выполненя различных переносов логинов - переустановка балансов в договорах.
  `void`
  `updateAliases(int lid, Set<String> aliases)`
  `final void`
  `updateAttributes(int lid, List<String[]> attributes)`
  `abstract void`
  `updateLogin(Login login)`
  `void`
  `updatePassword(int lid, String pswd, int userId)`
  `void`
  `wrapLogin(Login login, int cidTo, int objectTo, Date dateClose, Date dateOpen, int userId)`
  Перенос логина на другой договор с определенной даты (разрыв логина).
  `protected abstract void`
  `wrapLoginData(Login loginFrom, Login loginTo)`
  Перенос наработки логина при его переносе с новой даты.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### con

    protected Connection con

  - ### tableName

    protected String tableName

  - ### mid

    protected int mid

- ## Constructor Details

  - ### LoginManager

    public LoginManager(Connection con, int mid)

- ## Method Details

  - ### getLoginManager

    public static LoginManager getLoginManager(String module, Connection con, int moduleId)

  - ### deleteLogin

    public void deleteLogin(int id)

  - ### getLoginById

    public Login getLoginById(int id)

  - ### moveLogin

    public void moveLogin(Login login, int cidFrom, int cidTo, int objectTo, int userId) throws Exception
    Полный перенос логина на другой договор.
    Parameters:
      `lid` -
      `cidFrom` -
      `cidTo` -
      `userId` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `Exception`

  - ### wrapLogin

    public void wrapLogin(Login login, int cidTo, int objectTo, Date dateClose, Date dateOpen, int userId) throws Exception
    Перенос логина на другой договор с определенной даты (разрыв логина).
    Parameters:
      `login` -
      `cidTo` -
      `objectTo` -
      `dateClose` -
      `dateOpen` -
      `userId` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`
      `Exception`

  - ### doSpecificWrapActions

    protected abstract void doSpecificWrapActions(int newLoginId, Date dateOpen, Date dateClose, Login login, bitel.billing.server.util.db.TableCopier tableCopier) throws SQLException
    Throws:
      `SQLException`

  - ### moveLoginData

    protected abstract void moveLoginData(Login login, int cidFrom, int cidTo) throws SQLException
    Перенос наработки логина при его полном переносе.
    Parameters:
      `login` -
      `cidFrom` -
      `cidTo` -
    Throws:
      `SQLException`

  - ### wrapLoginData

    protected abstract void wrapLoginData(Login loginFrom, Login loginTo) throws SQLException
    Перенос наработки логина при его переносе с новой даты.
    Parameters:
      `loginFrom` -
      `loginTo` -
    Throws:
      `SQLException`

  - ### recalcAfterMove

    public abstract void recalcAfterMove(bitel.billing.server.util.MonthForRecalc months, int cidFrom, int cidTo) throws SQLException
    После выполненя различных переносов логинов - переустановка балансов в договорах.
    Parameters:
      `months` -
      `cidFrom` -
      `cidTo` -
    Throws:
      `SQLException`

  - ### hasActiveSessions

    public boolean hasActiveSessions(int loginId)
    Проверка наличия активных сессий логина.
    Parameters:
      `dateFrom` - - дата
    Returns:

  - ### getLoginAliases

    public String getLoginAliases(int lid)

  - ### getContractLogins

    public List<Login> getContractLogins(int contractId)

  - ### loginsList

    public void loginsList(Element logins, int cid)

  - ### loginsList

    public void loginsList(Element logins, int cid, Date dateFrom, Date dateTo)

  - ### getLoginTitle

    public String getLoginTitle(int lid)

  - ### updatePassword

    public void updatePassword(int lid, String pswd, int userId)

  - ### logPswdChange

    public void logPswdChange(int loginId, int userId)

  - ### updateAttributes

    public final void updateAttributes(int lid, List<String[]> attributes) throws SQLException
    Throws:
      `SQLException`

  - ### loadAVPPairs

    public final Map<String,List<String[]>> loadAVPPairs(Login login)

  - ### addLogin

    public abstract Login addLogin(Login login, Preferences moduleSetup)

  - ### updateLogin

    public abstract void updateLogin(Login login)
    Parameters:
      `login` -

  - ### checkLoginAvailable

    public String checkLoginAvailable(Preferences moduleSetup)

  - ### checkLogin

    public String checkLogin(Login login)

  - ### checkConflictAliases

    public String checkConflictAliases(Login login, Set<String> aliases)

  - ### updateAliases

    public void updateAliases(int lid, Set<String> aliases)

  - ### getLoginFromResultSet

    protected abstract Login getLoginFromResultSet(ResultSet rs) throws SQLException
    Throws:
      `SQLException`

  - ### checkAliases

    public abstract String checkAliases(Login login, Set<String> aliases)